Rapid7 Vulnerability & Exploit Database

CESA-2004:035: mc security update

Back to Search

CESA-2004:035: mc security update

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
01/20/2004
Created
07/25/2018
Added
03/12/2010
Modified
07/04/2017

Description

Updated mc packages that resolve a buffer overflow vulnerability are now available.

Midnight Commander is a visual shell much like a file manager. A buffer overflow has been found in Midnight Commander's virtual filesystem code. Specifically, a stack-based buffer overflow in vfs_s_resolve_symlink of vfs/direntry.c allows remote attackers to execute arbitrary code during symlink conversion. Users of Midnight Commander should install these updated packages, which resolve this issue.

Solution(s)

  • centos-upgrade-gmc
  • centos-upgrade-mc
  • centos-upgrade-mcserv

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;